Bug 677323 - Remove hal dependency
Remove hal dependency
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gnomad2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Linus Walleij
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-14 06:28 EST by Nicola Soranzo
Modified: 2011-04-30 23:28 EDT (History)
1 user (show)

See Also:
Fixed In Version: gnomad2-2.9.4-8.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-30 23:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nicola Soranzo 2011-02-14 06:28:35 EST
Description of problem:
According to this commit:

http://gnomad2.git.sourceforge.net/git/gitweb.cgi?p=gnomad2/gnomad2;a=commit;h=ff91a191c4951014761b00c06a185c1f166de1f4

gnomad2 doesn't require HAL anymore. Since HAL has been deprecated for 2 years, Fedora is trying to remove it from the distribution:

https://fedoraproject.org/wiki/Features/HalRemoval

I tried to remove the line:

BuildRequires:  hal-devel

from gnomad2.spec and the package builds correctly and runs, but I don't have any device to test it.

Version-Release number of selected component (if applicable):
gnomad2-2.9.4-7.fc15
Comment 1 Nicola Soranzo 2011-03-23 10:16:19 EDT
Also the dependency on libmtp-hal should be removed.
Comment 2 Linus Walleij 2011-03-24 11:45:05 EDT
If you remove the HAL part gnomad2 functionality degrades: it will not
detect devices when they are plugged in.

The proper thing to do is to switch to something like libudev or
ibus or whatever, but I haven't found any good example on how this
should be done, any hints?

All I find is the libudev etc docs but no real-world examples.

Can you help me with this?
Comment 3 Nicola Soranzo 2011-03-24 12:29:28 EDT
Unfortunately I'm not a developer, so I cannot really help you, I'm just the one who pings maintainers ;)

You can take a look at what was done for cheese here:

https://bugzilla.gnome.org/show_bug.cgi?id=594966

Otherwise, just ask for help/advise on fedora devel list!
Comment 4 Nicola Soranzo 2011-04-21 09:55:17 EDT
Please note that the hal package has been deprecated and blocked from composes for rawhide.

Therefore, there are some broken dependencies for your package now:

gnomad2-2.9.4-7.fc15.i686 requires libhal.so.1
Comment 5 Fedora Update System 2011-04-25 05:40:56 EDT
gnomad2-2.9.4-8.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gnomad2-2.9.4-8.fc15
Comment 6 Fedora Update System 2011-04-26 11:33:46 EDT
Package gnomad2-2.9.4-8.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gnomad2-2.9.4-8.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/gnomad2-2.9.4-8.fc15
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2011-04-30 23:28:03 EDT
gnomad2-2.9.4-8.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.